Bug 1163584 (CVE-2014-8710) - CVE-2014-8710 wireshark: SigComp dissector crash (wnpa-sec-2014-20)
Summary: CVE-2014-8710 wireshark: SigComp dissector crash (wnpa-sec-2014-20)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8710
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1163585 1208005 1245763
Blocks: 1163586 1210268
TreeView+ depends on / blocked
 
Reported: 2014-11-13 04:29 UTC by Murray McAllister
Modified: 2019-09-29 13:23 UTC (History)
6 users (show)

Fixed In Version: wireshark 1.12.2, wireshark 1.10.11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-20 04:47:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1460 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-07-21 14:14:59 UTC
Red Hat Product Errata RHSA-2015:2393 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-11-19 11:03:11 UTC

Description Murray McAllister 2014-11-13 04:29:51 UTC
It was reported that Wireshark's SigComp dissector could crash. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This is reported to affect Wireshark versions 1.10.0 to 1.10.10. It is fixed in versions 1.12.2 and 1.10.11.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10662

The version of Wireshark in Red Hat Enterprise Linux 5 and 6 is older than 1.10.x, and may not be affected. The version of Wireshark in Red Hat Enterprise Linux 7 is affected.

External References:

https://www.wireshark.org/security/wnpa-sec-2014-20.html

Comment 1 Murray McAllister 2014-11-13 04:33:18 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1163585]

Comment 2 Siddharth Sharma 2014-11-14 12:38:46 UTC
upstream fix
------------

Patch1:  https://code.wireshark.org/review/gitweb?p=wireshark.git;a=patch;h=9a2e8ead5c93e5af78881fb1c0e1ac4d648e2d58

Comment 3 Fedora Update System 2014-12-04 06:22:13 UTC
wireshark-1.10.11-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Siddharth Sharma 2015-01-14 19:16:39 UTC
Analysis
========

In the code of Wireshark's SigComp dissector, calling of following function could lead to crash by largely increasing the value of 'n'  
...
proto_tree_add_string(udvm_tree,hf_id, bytecode_tvb, 0, 0, bytes_to_str(sha1_digest_buf, state_minimum_access_length_buff[n]));
...

Comment 9 errata-xmlrpc 2015-07-22 07:24:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1460 https://rhn.redhat.com/errata/RHSA-2015-1460.html

Comment 16 errata-xmlrpc 2015-11-19 12:36:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2393 https://rhn.redhat.com/errata/RHSA-2015-2393.html

Comment 17 Huzaifa S. Sidhpurwala 2015-11-20 04:47:57 UTC
Statement:

This issue affects the verison of wireshark as shipped with Red Hat Enterprsie Linux 5. Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates.


Note You need to log in before you can comment on or make changes to this bug.